"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(styleApi) {
    var and = styleApi.and, isAbsoluteModule = styleApi.isAbsoluteModule, member = styleApi.member, moduleName = styleApi.moduleName, name = styleApi.name, not = styleApi.not, startsWith = styleApi.startsWith, unicode = styleApi.unicode;
    function isCss(text) {
        return !!text.match(/\.(css|scss)$/);
    }
    return [
        // import React from 'react'
        {
            match: and(isAbsoluteModule, moduleName(startsWith('react'))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        { separator: true },
        // next libraries
        {
            match: and(isAbsoluteModule, moduleName(startsWith('next'))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        { separator: true },
        // storybook libraries
        {
            match: and(isAbsoluteModule, moduleName(startsWith('storybook'))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        {
            match: and(isAbsoluteModule, moduleName(startsWith('@storybook'))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        { separator: true },
        // storybook libraries
        {
            match: and(isAbsoluteModule, moduleName(startsWith('material-ui'))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        {
            match: and(isAbsoluteModule, moduleName(startsWith('@material-ui'))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        { separator: true },
        // global libraries
        {
            match: and(isAbsoluteModule, not(moduleName(startsWith('@/')))),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        { separator: true },
        // every other import except CSS/SCSS files
        {
            match: not(moduleName(isCss)),
            sort: member(unicode),
            sortNamedMembers: name(unicode)
        },
        { separator: true },
    ];
}
exports.default = default_1;
